Which branch should I build for Flink 1.3.2

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Which branch should I build for Flink 1.3.2

Bowen Li
Hi guys,
    I'm trying to build Flink 1.3.2 myself from source code, and which
branch I should build from? 'release-1.3' or 'release-1.3.2-rc3'? I think
it should be the former one, but want you confirm on it.

Thanks,
Bowen
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Which branch should I build for Flink 1.3.2

Ted Yu
From
http://search-hadoop.com/m/Flink/VkLeQ4jYZR3pCAq1?subj=+ANNOUNCE+Apache+Flink+1+3+2+released
, you can find this link:

https://flink.apache.org/downloads.html#source

On Fri, Aug 11, 2017 at 2:53 PM, Bowen Li <[hidden email]> wrote:

> Hi guys,
>     I'm trying to build Flink 1.3.2 myself from source code, and which
> branch I should build from? 'release-1.3' or 'release-1.3.2-rc3'? I think
> it should be the former one, but want you confirm on it.
>
> Thanks,
> Bowen
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Which branch should I build for Flink 1.3.2

Fabian Hueske-2
There's also a tag "release-1.3.2".

Cheers, Fabian


Am 11.08.2017 11:56 nachm. schrieb "Ted Yu" <[hidden email]>:

From
http://search-hadoop.com/m/Flink/VkLeQ4jYZR3pCAq1?subj=+
ANNOUNCE+Apache+Flink+1+3+2+released
, you can find this link:

https://flink.apache.org/downloads.html#source

On Fri, Aug 11, 2017 at 2:53 PM, Bowen Li <[hidden email]> wrote:

> Hi guys,
>     I'm trying to build Flink 1.3.2 myself from source code, and which
> branch I should build from? 'release-1.3' or 'release-1.3.2-rc3'? I think
> it should be the former one, but want you confirm on it.
>
> Thanks,
> Bowen
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Which branch should I build for Flink 1.3.2

Bowen Li
Thanks guys! But we prefer a git branch, rather than a downloaded code, so
we can maintain our own branch at our company.

Any recommendations to achieve that goal?



On Fri, Aug 11, 2017 at 3:06 PM, Fabian Hueske <[hidden email]> wrote:

> There's also a tag "release-1.3.2".
>
> Cheers, Fabian
>
>
> Am 11.08.2017 11:56 nachm. schrieb "Ted Yu" <[hidden email]>:
>
> From
> http://search-hadoop.com/m/Flink/VkLeQ4jYZR3pCAq1?subj=+
> ANNOUNCE+Apache+Flink+1+3+2+released
> , you can find this link:
>
> https://flink.apache.org/downloads.html#source
>
> On Fri, Aug 11, 2017 at 2:53 PM, Bowen Li <[hidden email]> wrote:
>
> > Hi guys,
> >     I'm trying to build Flink 1.3.2 myself from source code, and which
> > branch I should build from? 'release-1.3' or 'release-1.3.2-rc3'? I think
> > it should be the former one, but want you confirm on it.
> >
> > Thanks,
> > Bowen
> >
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Which branch should I build for Flink 1.3.2

Aljoscha Krettek-2
Hi,

The release-1.3 branch is the general 1.3.x branch from which we cut specific releases. You can build that to basically get the latest 1.3.x SNAPSHOT. If you specifically want to build 1.3.2 I suggest checking out the release-1.3.2 tag and building from that.

Best,
Aljoscha

> On 12. Aug 2017, at 00:48, Bowen Li <[hidden email]> wrote:
>
> Thanks guys! But we prefer a git branch, rather than a downloaded code, so
> we can maintain our own branch at our company.
>
> Any recommendations to achieve that goal?
>
>
>
> On Fri, Aug 11, 2017 at 3:06 PM, Fabian Hueske <[hidden email]> wrote:
>
>> There's also a tag "release-1.3.2".
>>
>> Cheers, Fabian
>>
>>
>> Am 11.08.2017 11:56 nachm. schrieb "Ted Yu" <[hidden email]>:
>>
>> From
>> http://search-hadoop.com/m/Flink/VkLeQ4jYZR3pCAq1?subj=+
>> ANNOUNCE+Apache+Flink+1+3+2+released
>> , you can find this link:
>>
>> https://flink.apache.org/downloads.html#source
>>
>> On Fri, Aug 11, 2017 at 2:53 PM, Bowen Li <[hidden email]> wrote:
>>
>>> Hi guys,
>>>    I'm trying to build Flink 1.3.2 myself from source code, and which
>>> branch I should build from? 'release-1.3' or 'release-1.3.2-rc3'? I think
>>> it should be the former one, but want you confirm on it.
>>>
>>> Thanks,
>>> Bowen
>>>
>>

Loading...